<?php
/*
Template Name: PageOfPostsByCategory (see codex.wordpress.org/Pages)
Instance of page has a custom field "category" that determines which posts are listed
*/

get_header(); ?>

<div id="content" class="narrowcolumn">

		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div class="post" id="post-<?php the_ID(); ?>">
		<h1 style="margin: 10px 0;"><?php the_title(); ?></h1>
			<div class="entry">
				<?php the_content('<p class="serif">Read the rest of this page &raquo;</p>'); ?>

				<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

			</div>
		</div>

<!-- metadata display removed here (see page.php if you want to restore it -->

		<?php endwhile; endif; ?>


<?php
if (is_page() ) {
$category = get_post_meta($posts[0]->ID, 'category', true);
}
if ($category) {
  $cat = get_cat_ID($category);
  $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
  $post_per_page = 4; // -1 shows all posts
  $do_not_show_stickies = 1; // 0 to show stickies
  $args=array(
    'category__in' => array($cat),
    'orderby' => 'date',
    'order' => 'DESC',
    'paged' => $paged,
    'posts_per_page' => $post_per_page,
    'ignore_sticky_posts' => $do_not_show_stickies
  );
  $temp = $wp_query;  // assign orginal query to temp variable for later use
  $wp_query = null;
  $wp_query = new WP_Query($args);
  if( have_posts() ) :
		while ($wp_query->have_posts()) : $wp_query->the_post(); ?>
	    <div <?php post_class() ?> id="post-<?php the_ID(); ?>">
        <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
        <small>Posted <?php the_time('F jS, Y') ?> in <?php the_category(', ') ?> <!-- by <?php the_author() ?> --></small>
        <div class="entry">

		<!-- The following code forces the more-tag to be recognized and entries to be truncated. It must be inserted ahead of the call the_content, but AFTER the_post() PHO/17Jul2012 -->
        <?php
		global $more;
		$more = 0;
		?>

		<?php the_content('Read the rest of this entry '); ?>
        </div>

        <!-- disabled most metadata PHO/120506
        <p class="postmetadata"><?php the_tags('Tags: ', ', ', '<br />'); ?> Posted in <?php the_category(', ') ?> | <?php edit_post_link('Edit', '', ' | '); ?>  <?php comments_popup_link('No Comments ', '1 Comment ', '% Comments '); ?></p>
        -->
        <p class="postmetadata"><?php edit_post_link('Edit', '', ' | '); ?></p>

     </div>
    <?php endwhile; ?>

	<!-- disabled previous/next posts PHO/120506
    <div class="navigation">
      <div class="alignleft"><?php next_posts_link(' Older Entries') ?></div>
      <div class="alignright"><?php previous_posts_link('Newer Entries ') ?></div>
    </div>
    -->

  <?php else : ?>

		<h2>Not Found</h2>
		<p>Nothing posted yet in this category.</p>

	<?php endif;

	$wp_query = $temp;  //reset back to original query

}  // if ($category)
?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>